## com.sun.jersey.api
Class ParamException.MatrixParamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ws.rs.WebApplicationException
                      com.sun.jersey.api.ParamException
                          com.sun.jersey.api.ParamException.URIParamException
                              com.sun.jersey.api.ParamException.MatrixParamException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ParamException

    public static class ParamException.MatrixParamException

extends ParamException.URIParamException

A URI-parameter-based exception for errors with `MatrixParam`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jersey.api.ParamException
`ParamException.CookieParamException, ParamException.FormParamException, ParamException.HeaderParamException, ParamException.MatrixParamException, ParamException.PathParamException, ParamException.QueryParamException, ParamException.URIParamException`

Constructor Summary
`ParamException.MatrixParamException(java.lang.Throwable cause, java.lang.String name, java.lang.String defaultStringValue)`

Method Summary

Methods inherited from class com.sun.jersey.api.ParamException
`getDefaultStringValue, getParameterName, getParameterType`

Methods inherited from class javax.ws.rs.WebApplicationException
`getResponse`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParamException.MatrixParamException

    public ParamException.MatrixParamException(java.lang.Throwable cause,
                                               java.lang.String name,
                                               java.lang.String defaultStringValue)

Copyright © 2017 Oracle Corporation. All Rights Reserved.